Bug 1268266 - Review Request: python-jinja2-cli - CLI interface to Jinja2
Review Request: python-jinja2-cli - CLI interface to Jinja2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 07:43 EDT by Julien Enselme
Modified: 2015-11-09 19:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 16:53:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Julien Enselme 2015-10-02 07:43:46 EDT
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-jinja2-cli.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-jinja2-cli-0.5.0-1.fc23.src.rpm
Description:
A CLI interface to Jinja2 which supports data in ini, json, querystring, yaml,
yml and toml formats.
Comment 1 William Moreno 2015-10-27 14:22:42 EDT
Package Aproved
================

===== MUST items =====
Generic:
[Pass]: Package is licensed with an open-source compatible license and meets
        other legal requirements as defined in the legal section of Packaging
        Guidelines.
[Pass]: License field in the package spec file matches the actual license.
[Pass]: License file installed when any subpackage combination is installed.
[Pass]: Package contains no bundled libraries without FPC exception.
[Pass]: Changelog in prescribed format.
[Pass]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
        beginning of %install.
[Pass]: Sources contain only permissible code or content.
[NA]:   Package contains desktop file if it is a GUI application.
[NA]:   Development files must be in a -devel package
[NA]:   Package uses nothing in %doc for runtime.
[Pass]: Package consistently uses macros (instead of hard-coded directory
        names).
[Pass]: Package is named according to the Package Naming Guidelines.
[Pass]: Package does not generate any conflict.
[Pass]: Package obeys FHS, except libexecdir and /usr/target.
[NA]:   If the package is a rename of another package, proper Obsoletes and
        Provides are present.
[Pass]: Requires correct, justified where necessary.
[Pass]: Spec file is legible and written in American English.
[NA]:   Package contains systemd file(s) if in need.
[Pass]: Package is not known to require an ExcludeArch tag.
[NA]:   Large documentation must go in a -doc subpackage. Large could be size
        (~1MB) or number of files.
[Pass]: Package complies to the Packaging Guidelines
[Pass]: Package successfully compiles and builds into binary rpms on at least
        one supported primary architecture.
[Pass]: Rpmlint is run on all rpms the build produces.
[Pass]: If (and only if) the source package includes the text of the
        license(s) in its own file, then that file, containing the text of the
        license(s) for the package is included in %license.
[Pass]: Package requires other packages for directories it uses.
[Pass]: Package must own all directories that it creates.
[Pass]: Package does not own files or directories owned by other packages.
[Pass]: All build dependencies are listed in BuildRequires, except for any
        that are listed in the exceptions section of Packaging Guidelines.
[Pass]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[Pass]: Macros in Summary, %description expandable at SRPM build time.
[Pass]: Dist tag is present.
[Pass]: Package does not contain duplicates in %files.
[Pass]: Permissions on files are set properly.
[Pass]: Package use %makeinstall only when make install DESTDIR=... doesn't
        work.
[Pass]: Package is named using only allowed ASCII characters.
[Pass]: Package does not use a name that already exists.
[Pass]: Package is not relocatable.
[Pass]: Sources used to build the package match the upstream source, as
        provided in the spec URL.
[Pass]: Spec file name must match the spec package %{name}, in the format
        %{name}.spec.
[Pass]: File names are valid UTF-8.
[Pass]: Packages must not store files under /srv, /opt or /usr/local

Python:
[Pass]: Python eggs must not download any dependencies during the build
        process.
[Pass]: A package which is used by another package via an egg interface should
        provide egg info.
[Pass]: Package meets the Packaging Guidelines::Python
[Pass]: Package contains BR: python2-devel or python3-devel
[Pass]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[NA]:   If the source package does not include license text(s) as a separate
        file from upstream, the packager SHOULD query upstream to include it.
[Pass]: Final provides and requires are sane (see attachments).
[Pass]: Fully versioned dependency in subpackages if applicable.
[NT ]:  Package functions as described.
[Pass]: Latest version is packaged.
[Pass]: Package does not include license text files separate from upstream.
[Pass]: Description and summary sections in the package spec file contains
        translations for supported Non-English languages, if available.
[Pass]: Package should compile and build into binary rpms on all supported
        architectures.
[Pass]: %check is present and all tests pass.
[Pass]: Packages should try to preserve timestamps of original installed
        files.
[Pass]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[Pass]: Sources can be downloaded from URI in Source: tag
[Pass]: Reviewer should test that the package builds in mock.
[Pass]: Buildroot is not present
[Pass]: Package has no %clean section with rm -rf %{buildroot} (or
        $RPM_BUILD_ROOT)
[Pass]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[Pass]: SourceX is a working URL.
[Pass]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-jinja2-cli-0.5.0-1.fc24.noarch.rpm
          python3-jinja2-cli-0.5.0-1.fc24.noarch.rpm
          python-jinja2-cli-0.5.0-1.fc24.src.rpm
python2-jinja2-cli.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
python2-jinja2-cli.noarch: W: spelling-error %description -l en_US json -> son, j son
python2-jinja2-cli.noarch: W: spelling-error %description -l en_US querystring -> query string, query-string, querying
python2-jinja2-cli.noarch: W: spelling-error %description -l en_US yaml -> yam, yams, yawl
python2-jinja2-cli.noarch: W: spelling-error %description -l en_US yml -> ml, y ml
python2-jinja2-cli.noarch: W: spelling-error %description -l en_US toml -> tom, tome, toms
python2-jinja2-cli.noarch: W: no-manual-page-for-binary jinja2-2.7
python3-jinja2-cli.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
python3-jinja2-cli.noarch: W: spelling-error %description -l en_US json -> son, j son
python3-jinja2-cli.noarch: W: spelling-error %description -l en_US querystring -> query string, query-string, querying
python3-jinja2-cli.noarch: W: spelling-error %description -l en_US yaml -> yam, yams, yawl
python3-jinja2-cli.noarch: W: spelling-error %description -l en_US yml -> ml, y ml
python3-jinja2-cli.noarch: W: spelling-error %description -l en_US toml -> tom, tome, toms
python3-jinja2-cli.noarch: W: no-manual-page-for-binary jinja2-3.4
python3-jinja2-cli.noarch: W: no-manual-page-for-binary jinja2
python-jinja2-cli.src: W: spelling-error %description -l en_US ini -> uni, in, ii
python-jinja2-cli.src: W: spelling-error %description -l en_US json -> son, j son
python-jinja2-cli.src: W: spelling-error %description -l en_US querystring -> query string, query-string, querying
python-jinja2-cli.src: W: spelling-error %description -l en_US yaml -> yam, yams, yawl
python-jinja2-cli.src: W: spelling-error %description -l en_US yml -> ml, y ml
python-jinja2-cli.src: W: spelling-error %description -l en_US toml -> tom, tome, toms
3 packages and 0 specfiles checked; 0 errors, 21 warnings.

Requires
--------
python2-jinja2-cli (rpmlib, GLIBC filtered):
    /usr/bin/python2
    PyYAML
    python(abi)
    python-jinja2
    python2-toml

python3-jinja2-cli (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-PyYAML
    python3-jinja2
    python3-toml

Provides
--------
python2-jinja2-cli:
    python-jinja2-cli
    python-jinja2-cli(x86-64)
    python2-jinja2-cli

python3-jinja2-cli:
    python3-jinja2-cli

Source checksums
----------------
https://pypi.python.org/packages/source/j/jinja2-cli/jinja2-cli-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 8a84b2458d9f4eacb97a606bf95870b5df66ccd206e9610292a025069453d3c2
  CHECKSUM(SHA256) upstream package : 8a84b2458d9f4eacb97a606bf95870b5df66ccd206e9610292a025069453d3c2
https://raw.githubusercontent.com/mattrobenolt/jinja2-cli/de60e677db944ad221d438f50aebbca1fb4e6146/tests/files/template.j2 :
  CHECKSUM(SHA256) this package     : 2738b9fe6f9cd8a9959af91223067db4f6892ebcd3d2e955bba4aead64e5a97e
  CHECKSUM(SHA256) upstream package : 2738b9fe6f9cd8a9959af91223067db4f6892ebcd3d2e955bba4aead64e5a97e
Comment 2 Julien Enselme 2015-10-27 16:22:23 EDT
Thanks for the review!
Comment 3 Fedora Update System 2015-10-28 16:46:00 EDT
python-jinja2-cli-0.5.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7b5ef9c42f
Comment 4 Fedora Update System 2015-10-28 16:50:03 EDT
python-jinja2-cli-0.5.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e9f5a2f4d2
Comment 5 Fedora Update System 2015-11-01 01:58:29 EST
python-jinja2-cli-0.5.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-jinja2-cli'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e9f5a2f4d2
Comment 6 Fedora Update System 2015-11-01 19:26:59 EST
python-jinja2-cli-0.5.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-jinja2-cli'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7b5ef9c42f
Comment 7 Fedora Update System 2015-11-09 16:53:25 EST
python-jinja2-cli-0.5.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-09 19:23:19 EST
python-jinja2-cli-0.5.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.